aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/api_reference/add_google_analytics.sh
diff options
context:
space:
mode:
authorGravatar Carl Mastrangelo <notcarl@google.com>2018-05-21 16:59:35 -0700
committerGravatar Carl Mastrangelo <notcarl@google.com>2018-05-21 16:59:35 -0700
commita613f2f53763f469335209c16e54551f7a20d92f (patch)
treea683f18ab4687af28641430d0d6b3be4510c8fce /tools/api_reference/add_google_analytics.sh
parent7de5cdb3416a9a870485feca8412437c6aa1de1d (diff)
Move script
Diffstat (limited to 'tools/api_reference/add_google_analytics.sh')
-rwxr-xr-xtools/api_reference/add_google_analytics.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/tools/api_reference/add_google_analytics.sh b/tools/api_reference/add_google_analytics.sh
new file mode 100755
index 0000000000..ecff719604
--- /dev/null
+++ b/tools/api_reference/add_google_analytics.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+# Copyright 2018 The gRPC Authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This script finds all html files in the current directory, and adds the
+# GA tracking snippet to them.
+
+read -r -d '' SNIPPET << EOF
+<script type="text/javascript">
+ (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
+ (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
+ m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
+ })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
+
+ ga('create', 'UA-60127042-1', 'auto');
+ ga('send', 'pageview');
+</script>
+EOF
+
+S="$(echo -n $SNIPPET | tr '\n' ' ')"
+
+for M in $(find -name \*.html);
+do
+ grep -q "i,s,o,g,r,a,m" "$M"
+ if [[ $? -ne 0 ]]; then
+ sed -i "s_</head>_${S}</head>_" "$M"
+ fi
+done;